=head1 NAME

Gtk2::SourceView2::Buffer

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::TextBuffer
       +----Gtk2::SourceView2::Buffer



=cut


=head1 METHODS

=head2 buffer = Gtk2::SourceView2::Buffer-E<gt>B<new> ($table)

=over

=item * $table (Gtk2::TextTagTable or undef) 

=back

=head2 buffer = Gtk2::SourceView2::Buffer-E<gt>B<new_with_language> ($language)

=over

=item * $language (Gtk2::SourceView2::Language) 

=back

=head2 boolean = $buffer-E<gt>B<backward_iter_to_source_mark> ($iter, $category)

=over

=item * $iter (Gtk2::TextIter) 

=item * $category (string or undef) 

=back

=head2 $buffer-E<gt>B<begin_not_undoable_action> 

=head2 boolean = $buffer-E<gt>B<can_redo> 

=head2 boolean = $buffer-E<gt>B<can_undo> 

=head2 mark = $buffer-E<gt>B<create_source_mark> ($name, $category, $where)

=over

=item * $name (string or undef) 

=item * $category (string) 

=item * $where (Gtk2::TextIter) 

=back

=head2 $buffer-E<gt>B<end_not_undoable_action> 

=head2 $buffer-E<gt>B<ensure_highlight> ($start, $end)

=over

=item * $start (Gtk2::TextIter) 

=item * $end (Gtk2::TextIter) 

=back

=head2 boolean = $buffer-E<gt>B<forward_iter_to_source_mark> ($iter, $category)

=over

=item * $iter (Gtk2::TextIter) 

=item * $category (string or undef) 

=back

=head2 boolean = $buffer-E<gt>B<get_highlight_matching_brackets> 

=head2 $buffer-E<gt>B<set_highlight_matching_brackets> ($highlight)

=over

=item * $highlight (boolean) 

=back

=head2 boolean = $buffer-E<gt>B<get_highlight_syntax> 

=head2 $buffer-E<gt>B<set_highlight_syntax> ($highlight)

=over

=item * $highlight (boolean) 

=back

=head2 language or undef = $buffer-E<gt>B<get_language> 

=head2 $buffer-E<gt>B<set_language> ($language)

=over

=item * $language (Gtk2::SourceView2::Language or undef) 

=back

=head2 integer = $buffer-E<gt>B<get_max_undo_levels> 

=head2 $buffer-E<gt>B<set_max_undo_levels> ($max_undo_levels)

=over

=item * $max_undo_levels (integer) 

=back

=head2 $buffer-E<gt>B<redo> 

=head2 $buffer-E<gt>B<remove_source_marks> ($start, $end, $category)

=over

=item * $start (Gtk2::TextIter) 

=item * $end (Gtk2::TextIter) 

=item * $category (string or undef) 

=back

=head2 $buffer-E<gt>B<get_source_marks_at_iter> ($iter, $category)

=over

=item * $iter (Gtk2::TextIter) 

=item * $category (string or undef) 

=back

=head2 $buffer-E<gt>B<get_source_marks_at_line> ($line, $category)

=over

=item * $line (integer) 

=item * $category (string or undef) 

=back

=head2 stylescheme or undef = $buffer-E<gt>B<get_style_scheme> 

=head2 $buffer-E<gt>B<set_style_scheme> ($scheme)

=over

=item * $scheme (Gtk2::SourceView2::StyleScheme) 

=back

=head2 $buffer-E<gt>B<undo> 



=cut


=head1 PROPERTIES

=over

=item 'can-redo' (boolean : default false : readable)

Whether Redo operation is possible

=item 'can-undo' (boolean : default false : readable)

Whether Undo operation is possible

=item 'highlight-matching-brackets' (boolean : default true : readable / writable)

Whether to highlight matching brackets

=item 'highlight-syntax' (boolean : default true : readable / writable)

Whether to highlight syntax in the buffer

=item 'language' (Gtk2::SourceView2::Language : default undef : readable / writable)

Language object to get highlighting patterns from

=item 'max-undo-levels' (integer : default 1000 : readable / writable)

Number of undo levels for the buffer

=item 'style-scheme' (Gtk2::SourceView2::StyleScheme : default undef : readable / writable)

Style scheme

=item 'undo-manager' (Glib::Object::_Unregistered::GtkSourceUndoManager : default undef : readable / writable / construct)

The buffer undo manager

=back



=cut


=head1 SIGNALS

=over

=item B<highlight-updated> (Gtk2::SourceView2::Buffer, Gtk2::TextIter, Gtk2::TextIter)

=item B<source-mark-updated> (Gtk2::SourceView2::Buffer, Gtk2::TextMark)

=item B<undo> (Gtk2::SourceView2::Buffer)

=item B<redo> (Gtk2::SourceView2::Buffer)

=back



=cut


=head1 SEE ALSO

L<Gtk2::SourceView2>, L<Glib::Object>, L<Gtk2::TextBuffer>


=cut


=head1 COPYRIGHT

Copyright (C) 2009 by Emmanuel Rodriguez


=cut

